PaidGoods
API referenceCurrencies

Turn multi-currency selling on or off, pick currencies and rounding

PUT
/v1/stores/{storeId}/settings/currencies

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/v1/stores/string/settings/currencies" \  -H "Content-Type: application/json" \  -d '{}'
{  "storeCurrency": "string",  "enabled": true,  "currencies": [    "string"  ],  "roundingEnabled": true,  "rounding": {    "property1": "whole",    "property2": "whole"  },  "sellable": [    "string"  ],  "rates": {    "date": "string",    "fetchedAt": "string",    "stale": true,    "perStoreUnit": {      "property1": "string",      "property2": "string"    }  },  "examples": {    "property1": {      "storeMinor": -9007199254740991,      "convertedMinor": -9007199254740991,      "x99Minor": -9007199254740991,      "wholeMinor": -9007199254740991    },    "property2": {      "storeMinor": -9007199254740991,      "convertedMinor": -9007199254740991,      "x99Minor": -9007199254740991,      "wholeMinor": -9007199254740991    }  }}